//
//  ViewController.swift
//  TableView3NavController
//
//  Created by USER1 on 24.10.18.
//  Copyright © 2018 HSHARZ. All rights reserved.
//

import UIKit

class ViewController: UIViewController, UITableViewDelegate, UITableViewDataSource {
    
    var liste = [Student]()
    
  // outlet
    @IBOutlet var tableview: UITableView!
    
    func numberOfSectionsInTableView(tableView: UITableView) -> Int {
        return 1
    }
    
    func tableView(_ tableView: UITableView, numberOfRowsInSection section: Int) -> Int {
        return liste.count
    }
    
    
    func tableView(_ tableView: UITableView, cellForRowAt indexPath: IndexPath) -> UITableViewCell {
        var cell = tableView.dequeueReusableCell(withIdentifier: "cell")
        if cell == nil {
            cell = UITableViewCell(style: UITableViewCellStyle.value1, reuseIdentifier: "cell")
            // UITableViewCellStyle.default Bild links, Titel rechts
            // UITableViewCellStyle.subtitle: Bild links, Titel rechts, darunter Zusatzinformation
            // UITableViewCellStyle.value1: Bild links, Titel in der Mitte, rechts Zusatzinformation
            // UITableViewCellStyle.value2: Zusatzinformation links, rechts Titel
            // text, detailTextLabel, imageView
        }
        let row = (indexPath as NSIndexPath).row
        let student:Student = liste[ row ]
        cell?.textLabel!.text = student.name
        cell?.detailTextLabel!.text=String(student.mnr)
        return cell!
    } // selectedEvent
    
  
    override func viewDidLoad() {
        super.viewDidLoad()
        createStudenten()
        tableview.delegate=self
        tableview.dataSource=self
    }
    
    private func createStudenten() {
        liste.append(Student("Meier",24564,1,true))
        liste.append(Student("Meier2",24564,2,true))
        liste.append(Student("Meier3",24564,3,false))
        liste.append(Student("Meier4",24564,4,true))
        liste.append(Student("Meier5",24564,5,false))
        liste.append(Student("Meier6",24564,6,true))
        liste.append(Student("Meier7",24564,7,true))
        liste.append(Student("Meier8",24564,1,true))
        liste.append(Student("Meier9",24564,1,false))
        liste.append(Student("Meier10",24564,1,true))
        liste.append(Student("Meier11",24564,1,true))
        liste.append(Student("Meier12",24564,1,true))
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }


}

